package com.yeejoin.equipmanage.service;

import com.yeejoin.equipmanage.common.entity.dto.FireResourceStatsDTO;

/**
 * 消防资源监管
 */
public interface IFireResourceSupervisionService {
    /**
     * 消防系统信息
     * @param bizOrgCode 机构编码
     */
    FireResourceStatsDTO getFireSystemStats(String bizOrgCode);

    /**
     * 监测部件
     * @param bizOrgCode 机构编码
     */
    FireResourceStatsDTO getMonitorComponentStats(String bizOrgCode);

    /**
     * 消防车辆
     * @param bizOrgCode 机构编码
     */
    FireResourceStatsDTO getFireCarStats(String bizOrgCode);

    FireResourceStatsDTO getFireEquipStats(String bizOrgCode);
}
